package com.winhc.phoenix.example;

import com.github.pagehelper.PageHelper;
import com.winhc.phoenix.example.bean.TestBean;
import com.winhc.phoenix.example.mapper.TestMapper;
import com.winhc.phoenix.example.service.HbaseQueryService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;

import java.util.List;

@Slf4j
@SpringBootTest
class PhoenixExampleApplicationTests {
    @Autowired
    JdbcTemplate jdbcTemplate;
    @Autowired
    TestMapper testMapper;

    @Autowired
    HbaseQueryService hbaseQueryService;

    @Test
    void contextLoads() {
//        hbaseQueryService.asyncScan("COMPANY_EMPLOYMENT", "194650063");



       /* log.info("start1...");
        String sql = "select * from SYSTEM.CATALOG where COLUMN_NAME is null  and TABLE_TYPE = 'u'";

        List<String> query1 = jdbcTemplate.query(sql, new RowMapper<String>() {
            @Override
            public String mapRow(ResultSet rs, int rowNum) throws SQLException {
                return rs.getString(1);
            }
        });
        System.out.println(query1);*/
        List<String> query = jdbcTemplate.query("select  rowkey, cid, cname,  put_reason, put_date, put_department, remove_reason, remove_date,\n" +
                "        remove_department, create_time, update_time, deleted\n" +
                "        from company_abnormal_info\n" +
                "         \n" +
                "             WHERE (  cid = '937712696') \n" +
                "         \n" +
                "        limit 10", (resultSet, i) -> resultSet.getString(1));
        log.info("end1..");
        System.out.println(query);

        log.info("start...");
        PageHelper.startPage(1, 2);
        List<TestBean> testBeans = testMapper.selectByExample(TestBean.builder().cid("1093053795").build());
        log.info("end...");
        testBeans.forEach(System.out::println);
    }

}
